Query 'without subprojects' cannot be created

2011-06-14 13:54 - chris brueckenschlaeger

Status: New Start date: 2011-06-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 1.00 hour

Target version: Candidate for next minor release   

Resolution:  Affected version:  

Description

I wanted a global, public query that sets 'subproject' to 'none'.

Does work in a project, but cannot be saved.

Reason seems to be, that the query option is only available if subprojects exist.

The code that deletes it when saving it should be removed in my eyes.

Related issues:

Related to Redmine - Defect #10379: It is not possible to create filter 'targ... Closed

Related to Redmine - Defect #8853: Filter on subproject does not work Closed 2011-07-19

Has duplicate Redmine - Defect #29072: Missing subproject filter in custom query Closed

History

#1 - 2011-06-14 17:37 - Etienne Massip

- Target version set to Candidate for next minor release

Confirmed, there is a strange behavior here :

If you add the subproject filter then save the query with "all projects" checked, the filter won't be saved.

If you add the subproject filter then save the query leaving "all projects" unchecked, the filter will be saved; then you can modify the filter and check

"all projects" and the subproject filter will be kept but won't appear anymore in the query modification page.

(at least if you stay on a parent project list)

#2 - 2012-02-22 21:03 - Joshua Stein

this issue may be related to Issue #8853.

#3 - 2018-06-21 11:43 - Marius BĂLTEANU

- Has duplicate Defect #29072: Missing subproject filter in custom query added
